.ai-option {
    font-size: 12px;
    width: 60px;
    height: 60px;
    box-shadow: 0 0 8px 8px #ccc;
    border: transparent;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    background-color: #def;
    cursor: pointer;
    border-radius: 50%;
    padding: 0.5rem;
    position: fixed;
    bottom: 2rem;
    right: 2rem;
    z-index: 999;
}

.ai-area {
    z-index: 999;
    background-color: #def;
    position: fixed;
    bottom: 0;
    font-size: 15px;
    /* padding-top: 1rem; */
    right: 1rem;
    display: none;
    flex-direction: column;
    height: 500px;
    width: 350px;
    /* border: 1px solid transparent; */
    border-radius: 1rem 1rem 0 0;
    gap: 1rem;
    color: #333;
    scrollbar-color: #cde transparent;
    box-shadow: 0 0 10px 10px rgba(0, 0, 0, 0.1);
    overflow: hidden;

    & .ai-title {
        font-size: 1rem;
        font-weight: 500;
        text-align: center;
        background-color: #333;
        padding: 0.75rem 1rem;
        color: #fff;

        & .closeIcon {
            position: absolute;
            top: 0.75rem;
            right: 1rem;
            width: 1.25rem;
            cursor: pointer;
        }
    }

    & .ai-output {
        flex: 1;
        padding: 1rem;
        overflow-y: auto;
        display: flex;
        flex-direction: column;
        gap: 2rem;

        & .ai-answer {
            line-height: 1.5;
        }

        & b.question {
            background-color: royalblue;
            font-weight: normal;
            color: white;
            display: inline-block;
            padding: 0.5rem 1rem;
            border-radius: 9999px;
            border-bottom-left-radius: 0;
            margin-bottom: 0.5rem;
        }
    }

    & .ai-input {
        overflow: hidden;
        border-top: 1px solid #ddd;
        width: 100%;

        & textarea {
            border: none;
            font-family: inherit;
            outline: transparent;
            padding: 0.5rem 1rem;
            width: 100%;
        }
    }
}

.card {
    font-size: 14px;

    table {
        margin-block:0.5rem;
        td { padding: 0.25rem }
    }
}